/****************************************************************************
 * WiiMC
 * Tantric 2009-2012
 *
 * imagelist.h
 * Contains a list of all of the files in the images, fonts, sounds folders
 ***************************************************************************/

#ifndef _FILELIST_H_
#define _FILELIST_H_

#include <gccore.h>

// Fonts
extern const u8		font_ttf[];
extern const u32	font_ttf_size;

// Languages
extern const u8		jp_lang[];
extern const u32	jp_lang_size;
extern const u8		en_lang[];
extern const u32	en_lang_size;
extern const u8		da_lang[];
extern const u32	da_lang_size;
extern const u8		de_lang[];
extern const u32	de_lang_size;
extern const u8		fr_lang[];
extern const u32	fr_lang_size;
extern const u8		es_lang[];
extern const u32	es_lang_size;
extern const u8		it_lang[];
extern const u32	it_lang_size;
extern const u8		nl_lang[];
extern const u32	nl_lang_size;
extern const u8		zh_cn_lang[];
extern const u32	zh_cn_lang_size;
extern const u8		zh_tw_lang[];
extern const u32	zh_tw_lang_size;
extern const u8		ko_lang[];
extern const u32	ko_lang_size;
extern const u8		ro_lang[];
extern const u32	ro_lang_size;
extern const u8		bg_lang[];
extern const u32	bg_lang_size;
extern const u8		et_lang[];
extern const u32	et_lang_size;
extern const u8		pt_lang[];
extern const u32	pt_lang_size;
extern const u8		pt_br_lang[];
extern const u32	pt_br_lang_size;
extern const u8		hu_lang[];
extern const u32	hu_lang_size;
extern const u8		pl_lang[];
extern const u32	pl_lang_size;
extern const u8		ru_lang[];
extern const u32	ru_lang_size;
extern const u8		sk_lang[];
extern const u32	sk_lang_size;
extern const u8		ta_lang[];
extern const u32	ta_lang_size;
extern const u8		sv_lang[];
extern const u32	sv_lang_size;

// Sounds

// Graphics
extern const u8		logo_png[];
extern const u32	logo_png_size;
extern const u8		logo_large_png[];
extern const u32	logo_large_png_size;

extern const u8		button_png[];
extern const u32	button_png_size;
extern const u8		button_over_png[];
extern const u32	button_over_png_size;

extern const u8		arrow_left_png[];
extern const u32	arrow_left_png_size;

extern const u8		arrow_right_png[];
extern const u32	arrow_right_png_size;

extern const u8		arrow_up_png[];
extern const u32	arrow_up_png_size;

extern const u8		arrow_down_png[];
extern const u32	arrow_down_png_size;

extern const u8		arrow_left_over_png[];
extern const u32	arrow_left_over_png_size;

extern const u8		arrow_right_over_png[];
extern const u32	arrow_right_over_png_size;

extern const u8		arrow_up_over_png[];
extern const u32	arrow_up_over_png_size;

extern const u8		arrow_down_over_png[];
extern const u32	arrow_down_over_png_size;

extern const u8     tooltip_left_png[];
extern const u32    tooltip_left_png_size;
extern const u8     tooltip_tile_png[];
extern const u32    tooltip_tile_png_size;
extern const u8     tooltip_right_png[];
extern const u32    tooltip_right_png_size;

extern const u8		actionbar_backward_png[];
extern const u32	actionbar_backward_png_size;
extern const u8		actionbar_close_png[];
extern const u32	actionbar_close_png_size;
extern const u8		actionbar_continuous_png[];
extern const u32	actionbar_continuous_png_size;
extern const u8		actionbar_forward_png[];
extern const u32	actionbar_forward_png_size;
extern const u8		actionbar_left_png[];
extern const u32	actionbar_left_png_size;
extern const u8		actionbar_loop_png[];
extern const u32	actionbar_loop_png_size;
extern const u8		actionbar_mid_png[];
extern const u32	actionbar_mid_png_size;
extern const u8		actionbar_pause_png[];
extern const u32	actionbar_pause_png_size;
extern const u8		actionbar_play_png[];
extern const u32	actionbar_play_png_size;
extern const u8		actionbar_playlist_png[];
extern const u32	actionbar_playlist_png_size;
extern const u8		actionbar_right_png[];
extern const u32	actionbar_right_png_size;
extern const u8		actionbar_shuffle_png[];
extern const u32	actionbar_shuffle_png_size;
extern const u8		actionbar_single_png[];
extern const u32	actionbar_single_png_size;
extern const u8		actionbar_volume_png[];
extern const u32	actionbar_volume_png_size;
extern const u8		actionbar_through_png[];
extern const u32	actionbar_through_png_size;

extern const u8		volume_empty_png[];
extern const u32	volume_empty_png_size;

extern const u8		volume_top_png[];
extern const u32	volume_top_png_size;
extern const u8		volume_mid_png[];
extern const u32	volume_mid_png_size;
extern const u8		volume_bottom_png[];
extern const u32	volume_bottom_png_size;
extern const u8		volume_line_png[];
extern const u32	volume_line_png_size;

extern const u8		screen_position_png[];
extern const u32	screen_position_png_size;

extern const u8		bg_entry_png[];
extern const u32	bg_entry_png_size;
extern const u8		bg_entry_over_png[];
extern const u32	bg_entry_over_png_size;

extern const u8		bg_jpg[];
extern const u32	bg_jpg_size;
extern const u8		bg_blue_jpg[];
extern const u32	bg_blue_jpg_size;
extern const u8		bg_green_jpg[];
extern const u32	bg_green_jpg_size;
extern const u8		bg_grey_jpg[];
extern const u32	bg_grey_jpg_size;
extern const u8		bg_orange_jpg[];
extern const u32	bg_orange_jpg_size;
extern const u8		bg_red_jpg[];
extern const u32	bg_red_jpg_size;

extern const u8		arrow_right_small_png[];
extern const u32	arrow_right_small_png_size;
extern const u8		arrow_right_small_blue_png[];
extern const u32	arrow_right_small_blue_png_size;
extern const u8		arrow_right_small_green_png[];
extern const u32	arrow_right_small_green_png_size;
extern const u8		arrow_right_small_grey_png[];
extern const u32	arrow_right_small_grey_png_size;
extern const u8		arrow_right_small_orange_png[];
extern const u32	arrow_right_small_orange_png_size;
extern const u8		arrow_right_small_red_png[];
extern const u32	arrow_right_small_red_png_size;

extern const u8		button_bottom_png[];
extern const u32	button_bottom_png_size;
extern const u8		button_bottom_blue_png[];
extern const u32	button_bottom_blue_png_size;
extern const u8		button_bottom_green_png[];
extern const u32	button_bottom_green_png_size;
extern const u8		button_bottom_grey_png[];
extern const u32	button_bottom_grey_png_size;
extern const u8		button_bottom_orange_png[];
extern const u32	button_bottom_orange_png_size;
extern const u8		button_bottom_red_png[];
extern const u32	button_bottom_red_png_size;

extern const u8		button_bottom_over_png[];
extern const u32	button_bottom_over_png_size;
extern const u8		button_bottom_over_blue_png[];
extern const u32	button_bottom_over_blue_png_size;
extern const u8		button_bottom_over_green_png[];
extern const u32	button_bottom_over_green_png_size;
extern const u8		button_bottom_over_grey_png[];
extern const u32	button_bottom_over_grey_png_size;
extern const u8		button_bottom_over_orange_png[];
extern const u32	button_bottom_over_orange_png_size;
extern const u8		button_bottom_over_red_png[];
extern const u32	button_bottom_over_red_png_size;

extern const u8		nav_divider_png[];
extern const u32	nav_divider_size;
extern const u8		nav_divider_blue_png[];
extern const u32	nav_divider_blue_size;
extern const u8		nav_divider_green_png[];
extern const u32	nav_divider_green_size;
extern const u8		nav_divider_grey_png[];
extern const u32	nav_divider_grey_size;
extern const u8		nav_divider_orange_png[];
extern const u32	nav_divider_orange_size;
extern const u8		nav_divider_red_png[];
extern const u32	nav_divider_red_size;

extern const u8		nav_videos_png[];
extern const u32	nav_videos_png_size;
extern const u8		nav_videos_over_png[];
extern const u32	nav_videos_over_png_size;
extern const u8		nav_videos_on_png[];
extern const u32	nav_videos_on_png_size;
extern const u8		nav_music_png[];
extern const u32	nav_music_png_size;
extern const u8		nav_music_over_png[];
extern const u32	nav_music_over_png_size;
extern const u8		nav_music_on_png[];
extern const u32	nav_music_on_png_size;
extern const u8		nav_pictures_png[];
extern const u32	nav_pictures_size;
extern const u8		nav_pictures_over_png[];
extern const u32	nav_pictures_over_size;
extern const u8		nav_pictures_on_png[];
extern const u32	nav_pictures_on_size;
extern const u8		nav_dvd_png[];
extern const u32	nav_dvd_size;
extern const u8		nav_dvd_over_png[];
extern const u32	nav_dvd_over_size;
extern const u8		nav_dvd_on_png[];
extern const u32	nav_dvd_on_size;
extern const u8		nav_onlinemedia_png[];
extern const u32	nav_onlinemedia_size;
extern const u8		nav_onlinemedia_over_png[];
extern const u32	nav_onlinemedia_over_size;
extern const u8		nav_onlinemedia_on_png[];
extern const u32	nav_onlinemedia_on_size;
extern const u8		nav_settings_png[];
extern const u32	nav_settings_size;
extern const u8		nav_settings_over_png[];
extern const u32	nav_settings_over_size;
extern const u8		nav_settings_on_png[];
extern const u32	nav_settings_on_size;
extern const u8		nav_highlight_png[];
extern const u32	nav_highlight_size;

extern const u8		dialogue_box_png[];
extern const u32	dialogue_box_png_size;
extern const u8		dialogue_box_large_png[];
extern const u32	dialogue_box_large_png_size;

extern const u8		scrollbar_top_png[];
extern const u32	scrollbar_top_png_size;

extern const u8		scrollbar_mid_png[];
extern const u32	scrollbar_mid_png_size;

extern const u8		scrollbar_bottom_png[];
extern const u32	scrollbar_bottom_png_size;

extern const u8		scrollbar_box_png[];
extern const u32	scrollbar_box_png_size;

extern const u8		scrollbar_box_over_png[];
extern const u32	scrollbar_box_over_png_size;

extern const u8		keyboard_textbox_png[];
extern const u32	keyboard_textbox_png_size;

extern const u8		keyboard_key_png[];
extern const u32	keyboard_key_png_size;

extern const u8		keyboard_key_over_png[];
extern const u32	keyboard_key_over_png_size;

extern const u8		keyboard_mediumkey_png[];
extern const u32	keyboard_mediumkey_png_size;

extern const u8		keyboard_mediumkey_over_png[];
extern const u32	keyboard_mediumkey_over_png_size;

extern const u8		keyboard_largekey_png[];
extern const u32	keyboard_largekey_png_size;

extern const u8		keyboard_largekey_over_png[];
extern const u32	keyboard_largekey_over_png_size;

extern const u8		progressbar_empty_png[];
extern const u32	progressbar_empty_png_size;
extern const u8		progressbar_short_empty_png[];
extern const u32	progressbar_short_empty_size;
extern const u8		progressbar_long_empty_png[];
extern const u32	progressbar_long_empty_png_size;

extern const u8		progressbar_left_png[];
extern const u32	progressbar_left_png_size;
extern const u8		progressbar_mid_png[];
extern const u32	progressbar_mid_png_size;
extern const u8		progressbar_right_png[];
extern const u32	progressbar_right_png_size;
extern const u8		progressbar_line_png[];
extern const u32	progressbar_line_png_size;

extern const u8		throbber_png[];
extern const u32	throbber_png_size;

extern const u8		icon_folder_png[];
extern const u32	icon_folder_png_size;

extern const u8		icon_folder_checked_png[];
extern const u32	icon_folder_checked_png_size;

extern const u8		icon_file_png[];
extern const u32	icon_file_png_size;

extern const u8		icon_file_checked_png[];
extern const u32	icon_file_checked_png_size;

extern const u8		icon_check_png[];
extern const u32	icon_check_png_size;

extern const u8		icon_sd_png[];
extern const u32	icon_sd_png_size;

extern const u8		icon_usb_png[];
extern const u32	icon_usb_png_size;

extern const u8		icon_dvd_png[];
extern const u32	icon_dvd_png_size;

extern const u8		icon_smb_png[];
extern const u32	icon_smb_png_size;

extern const u8		icon_ftp_png[];
extern const u32	icon_ftp_png_size;

extern const u8		icon_play_png[];
extern const u32	icon_play_png_size;

extern const u8		icon_plus_png[];
extern const u32	icon_plus_png_size;

extern const u8		player1_point_png[];
extern const u32	player1_point_png_size;

extern const u8		player2_point_png[];
extern const u32	player2_point_png_size;

extern const u8		player3_point_png[];
extern const u32	player3_point_png_size;

extern const u8		player4_point_png[];
extern const u32	player4_point_png_size;

extern const u8		player1_grab_png[];
extern const u32	player1_grab_png_size;

extern const u8		player2_grab_png[];
extern const u32	player2_grab_png_size;

extern const u8		player3_grab_png[];
extern const u32	player3_grab_png_size;

extern const u8		player4_grab_png[];
extern const u32	player4_grab_png_size;

#endif
